builderFillsByTime
Get fills submitted by a builder in a certain time range
Get fills submitted by a builder in a certain time range.
POST Request
type
string
Must be "builderFillsByTime"
builder
string
Ethereum address (0x-prefixed, 42 characters)
startTime
integer
Start timestamp in milliseconds (skipped when cursor is used)
endTime
integer
End timestamp in milliseconds (optional)
cursor
string
Composite of time and txIndex with "_" separator (optional)
aggregateByTime
boolean
Collapse an order's partial fills at the same timestamp into a single fill. true or false, false by default (optional)
limit
integer
Max results to return, default and max 2000 (optional)
curl -X POST https://api.hydromancer.xyz/info \
-H "Authorization: Bearer $HYDROMANCER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "builderFillsByTime",
"builder": "0x0000000000000000000000000000000000000000",
"startTime": 1234567890000,
"endTime": 1234567900000,
"cursor": "1234567890000_12"
}'import requests
import os
response = requests.post(
'https://api.hydromancer.xyz/info',
json={
'type': 'builderFillsByTime',
'builder': '0x0000000000000000000000000000000000000000',
'startTime': 1234567890000,
'endTime': 1234567900000,
'cursor': '1234567890000_12'
},
headers={
'Authorization': f'Bearer {os.environ.get("HYDROMANCER_API_KEY")}',
'Content-Type': 'application/json'
}
)
print(response.json())Response Fields
coin
string
Asset symbol
px
string
Fill price
sz
string
Fill size
side
string
"A" (sell) or "B" (buy)
time
int
Fill timestamp (ms)
startPosition
string
Position size before the fill
dir
string
Direction (e.g. "Open Long", "Open Short", "Short > Long")
closedPnl
string
Closed PnL from this fill
hash
string
Transaction hash
oid
int
Order ID
crossed
boolean
Whether the order crossed the spread
cloid
string?
Client order ID (optional)
fee
string
Fee amount
tid
int
Trade ID
builderFee
string?
Builder fee (optional)
deployerFee
string?
Deployer fee (HIP-3 fills only)
priorityGas
string?
Priority gas fee in HYPE (optional)
feeToken
string
Fee token (e.g. "USDC")
user
string
User address who placed the order
twapId
int
TWAP order ID (null if not a TWAP fill)
txIndex
int
Transaction index
Last updated